import { IVpc, Vpc } from 'aws-cdk-lib/aws-ec2';
import { Construct } from 'constructs';
export interface enterpriseDnsResolverProps {
    /**
     * Vpc or IVpc to associate resolver rules with
     */
    readonly vpc: Vpc | IVpc;
    /**
     * List of IPs for enterprise DNS servers
     */
    readonly enterpriseDnsIpAddresses: string[];
}
export declare class enterpriseDnsResolver extends Construct {
    private readonly _vpc;
    private readonly _enterpriseDnsIpAddresses;
    constructor(scope: Construct, id: string, props: enterpriseDnsResolverProps);
}
